# KvDeveloper

KvDeveloper is a PyPI module designed to streamline the development of Kivy and KivyMD applications. Inspired by Expo CLI for React Native, KvDeveloper provides starter templates and essential functionalities to kickstart your projects with ease.

## Features

- **Starter Templates**: Quickly create new Kivy and KivyMD projects with predefined templates.
- **MVC Structure**: Includes templates with Model-View-Controller (MVC) architecture.
- **Navigation and Toolbar**: Templates with built-in navigation and toolbar screens.
- **Customizable**: Easily extend and customize the templates to fit your project needs.

---
## Installation

Install KvDeveloper using pip:

```bash
pip install kvdeveloper
```

---
## Usage
- Create a new Kivy project with a blank template:

    ```bash
    kvdeveloper create my_project --template blank
    ```

- Create a new KivyMD project with navigation and toolbar:

    ``` bash
    kvdeveloper create my_project --template nav_toolbar --structure MVC
    ```
---
## Templates
- **Blank Template**: A minimal template with the basic structure.
- **Navigation Toolbar** Template: A template with navigation and toolbar screens.
- **MVC Architecture**: A template add-on following the MVC architecture.

---
## Contributing
We welcome contributions! Please read our Contributing Guide to get started.

---
## License
This project is licensed under the MIT License - see the LICENSE file for details.

---
## Acknowledgements

Kivy

KivyMD

---
## Contact
For any inquiries, please contact us at [novfensec@protonmail.com].
